package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class VirtualSwitch {
    private Metadata metadata;
    private String switchId;
    private String switchName;
    private VirtualNetworks virtualNetworks;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getSwitchId() {
        return switchId;
    }

    public void setSwitchId(String switchId) {
        this.switchId = switchId;
    }

    public String getSwitchName() {
        return switchName;
    }

    public void setSwitchName(String switchName) {
        this.switchName = switchName;
    }

    public VirtualNetworks getVirtualNetworks() {
        return virtualNetworks;
    }

    public void setVirtualNetworks(VirtualNetworks virtualNetworks) {
        this.virtualNetworks = virtualNetworks;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
